# $Date: 1996/09/19 08:47:03 $ $Author: frankp $ $Revision: 1.3 $ #

#--
	Re/rectform -- the function attribut "rectform" for Re
--#

Re := funcattr( Re, "rectform", proc(x)
	name Re::rectform;
        local rl;
    begin
        if args(0) = 2 then
            x := rectform::new(x,args(2))
        else
            x := rectform::new(x)
        end_if;
        rl := extop(x,4);
        if extop(x,3) <> 0 then
            new(rectform,0,0,hold(Re)(rectform::expr(x)),rl)
        else
            new(rectform,extop(x,1),0,0,rl)
        end_if
    end_proc
):

# end of file #
