
#++
undefined -- the undefined value
++#

proc() local dom; begin

dom:= domain("stdlib::Undefined");
undefined:= new(dom);

dom::info:= "Domain 'stdlib::Undefined': representing an undefined value";
dom::interface:= {};

dom::expr:= fun(hold(undefined));
dom::print:= dom::expr;
dom::TeX:= fun("\\mbox{undefined}");
dom::func_call:= fun(undefined);
dom::testtype:= DOM_INT::testtype;

# define some methods to avoid creation via domattr #
dom::evaluate:= FAIL:
dom::posteval:= FAIL:
dom::domtype:= FAIL:
dom::type:= FAIL:
dom::elemattr:= FAIL:
dom::expr2text:= FAIL: 

#--
domattr -- create default method

domattr allways returns a function returning 'undefined'. 

NOTE: This MUST be the last method defined for undefined.
--#

dom::domattr:= dom::func_call;

sysassign(stdlib::Undefined, dom);

null();

end_proc():
